
Redmine - Defect #5890

"XLS export" plugin breaks REST API: "issues.xml" returns broken HTML instead of XML

2010-07-15 23:41 - Alex Last

Status: Closed Start date: 2010-07-15

Priority: Normal Due date:  

Assignee: Eric Davis % Done: 0%

Category: Plugin API Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

I spent hours trying to find why my Redmine started returning broken HTML instead of XML when I send the same valid REST API

request, I as did before (

http://172.17.10.53:3000/projects/ace/issues.xml?query_id=1&key=fc20e8f5f1885fc194b7b7865e6d6ce9a44a4b88).

I finally found that "XLS export" plugin (http://www.redmine.org/boards/3/topics/11986?r=15317) is responsible for this problem.

I had to delete the plugin to enable REST API (remove /opt/redmine/vendor/plugins/redmine_default_columns folder ).

I have latest Trunk version of Redmine. Other people reported the same problem with Redmine 0.9.5.

History

#1 - 2010-07-16 00:52 - Eric Davis

- Status changed from New to Closed

- Assignee deleted (Eric Davis)

- Resolution set to Invalid

Can you report this bug to the plugin author.  This bug tracker is for the Redmine core and we don't have control over the plugin's code.

#2 - 2010-07-16 08:03 - Alex Last

ok, makes sense. sorry

#3 - 2010-07-19 11:30 - Vitaly Klimov

- Assignee set to Eric Davis

Eric, it seems that if the plugin overwrites some views (in my case views\issues\index.rhtml), plugin views folder should contain .builder file as well

- even if this file not modified. Otherwise .builder file from original path (app\views\issues\index.xml.builder ) is ignored.

I think it should be noted in documentation on plugins
